LADDER* initLadderTrigger() {
	// initialise memory for new item
	LADDER* myLadder = sys_nxalloc(sizeof(LADDER));
	
	myLadder.tempLadderTrigger = me;
	
	myLadder.triggerAvailable = myLadder.tempLadderTrigger.skill3;
	
	myLadder.moveQuants = myLadder.tempLadderTrigger.skill1;
	myLadder.modeUpDown = myLadder.tempLadderTrigger.skill2;
	
	ladderTrigger(myLadder);
	
	return(myLadder);
}

// event when player hits trigger
void eventLadderTrigger() {
	if (event_type == EVENT_PUSH) {
		// set trigger to be active (only if you was the player..!)
		if(is(you, FLAG8)) {
			set(my, FLAG1);
		}
	}
}

void ladderTrigger(LADDER* tempLadder) {
	c_setminmax(tempLadder.tempLadderTrigger);
	
	// set push value lower then player to make sure of no collision
	tempLadder.tempLadderTrigger.push = -5;
	
	// set trigger to be able to get triggered by player (using push values)
	tempLadder.tempLadderTrigger.emask |= ENABLE_PUSH;
	tempLadder.tempLadderTrigger.event = eventLadderTrigger;
	
	while(tempLadder.tempLadderTrigger) {		
		// when trigger became active
		if(is(tempLadder.tempLadderTrigger, FLAG1)) {
			// set the player to ladder, and make him able to move up/down
			error("test");
		}
		
		wait(1);
	}
	// remove the trigger to prevent calling the function several times
	ent_remove(tempLadder.tempLadderTrigger);
	free(tempLadder);
}