// potentially, this could be run from a trigger function...
void levelChange(STRING* levelStr) {
	// create a list to store any players in
	gPlayerList = initPlayerList(); // create player list
	checkPlayerRespawn(); // check if any player needs to be reset
	
	ph_iterations = 20; // set itterating physics to smooth out.
	
	// load the level (which puts all players into a list)
	level_load(levelStr);
	wait(5);
	
	ph_setgravity(vector(0, 0, -700)); // set gravity
	ph_setcorrections(9000, 0); // set physics corrections
	ph_setcollisions(1000, 20);
	
	// create camera that works based on the playerlist
	gCamera = initCamera(); // setup the camera
	
	if(KonamiCodeSet == 1) {
		// set old skool pixelcam mode!
		Oldscool_set_Value(150, 150);
		
		render_stencil = bmap_createblack(screen_size.x, screen_size.y, 32); // render the stencil buffer into the bmap
		camera.stage = oldSkoolStencil; // attach the stencil blur stage to the camera view
	}
}