// code lend from JulzMighty : http://www.opserver.de/ubb7/ubbthreads.php?ubb=showflat&Number=291799#Post291799
void alignToVec(ANGLE* entAng, VECTOR* vec, VECTOR* axis, var factor) {
	vec_rotate(axis, entAng);
	vec_normalize(axis, 1);
	vec_normalize(vec, 1);
	VECTOR rotAxis;
	vec_cross(rotAxis, vec, axis);
	var angle = -acos((float)vec_dot(axis, vec)) * factor * vec_length(rotAxis);
	ANGLE rotAngle;
	ang_for_axis(rotAngle, rotAxis, angle);
	ang_add(entAng, rotAngle);
}
// stop of borrowing code...

// code that pulls entity to the ground.
void handleGrav(ENTITY* tempChar, var smoothSpeed, var zOffset) {
	var tracePos;
	var resetJumpDist;
	
	my = tempChar;
	resetJumpDist = my.skill4; // jump distance
	
	while(my.skill2 > 0) {
		// check to see if the character is jumping, if he is, dont update the gravity
		if(is(my, FLAG3)) {
			// jump code
			c_move(me, vector(0, 0, my.skill4 * time_step), nullvector, IGNORE_FLAG2 | IGNORE_ME | IGNORE_PASSABLE | IGNORE_PUSH);
			my.skill4 -= 10 * time_step;
			
			if(my.skill4 < 0) { // do a trace downward after jumping up to see if player is back on the ground again
				tracePos = c_trace(my.x, vector(my.x, my.y, my.z - zOffset), IGNORE_FLAG2 | IGNORE_ME | IGNORE_PASSABLE | IGNORE_PUSH);
				
				if(tracePos != 0) { // if collision was hit...
					// reset jumping variables
					my.skill4 = resetJumpDist;
					reset(my, FLAG3);
				}
			}
		} else {
			// do a trace to get the z position below the entity
			tracePos = c_trace(my.x, vector(my.x, my.y, my.z - 500), IGNORE_FLAG2 | IGNORE_ME | IGNORE_PASSABLE | IGNORE_PUSH);
		//	alignToVec(my.pan, normal, vector(0,0,1), 15); // awesome for scaling walls, bit useless in a beat em up
			// set the position of the entity smoothly to the trace target
			if(you != NULL) { // if the trace didnt return NULL (hit world blocks...)
				if(!is(you, FLAG8) || !is(you, FLAG7)) { // make sure im not on top of the player or on an enemy...
					my.z += ((target.z + zOffset) - my.z) / smoothSpeed; // smoothly updates new Z position
				}
			} else {
				my.z += ((target.z + zOffset) - my.z) / smoothSpeed; // smoothly updates new Z position
			}
		}
		
		wait(1);
	}
	
	my.skill4 = resetJumpDist; // make sure it's reset again
}